--- debathena-athinfo-9.4.27.orig/debian/compat
+++ debathena-athinfo-9.4.27/debian/compat
@@ -0,0 +1 @@
+4
--- debathena-athinfo-9.4.27.orig/debian/control.in
+++ debathena-athinfo-9.4.27/debian/control.in
@@ -0,0 +1,16 @@
+Source: debathena-athinfo
+Section: debathena/net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: @cdbs@
+Standards-Version: 3.7.2
+
+Package: debathena-athinfo
+Architecture: any
+Provides: athinfo
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
+Description: An Athena utility to retrieve information about a workstation
+ The athinfo tool queries a remote workstation using the athinfo daemon 
+ for information about the workstation, such as its hardware type and 
+ configuration, its current software installation state, the number of 
+ users logged on, and various other informational state queries.
--- debathena-athinfo-9.4.27.orig/debian/copyright
+++ debathena-athinfo-9.4.27/debian/copyright
@@ -0,0 +1,20 @@
+The Athena source code was obtained from the Athena CVS repository at
+/afs/dev.mit.edu/source, and is licensed as follows:
+
+  Copyright 1996 by the Massachusetts Institute of Technology.
+
+  Permission to use, copy, modify, and distribute this
+  software and its documentation for any purpose and without
+  fee is hereby granted, provided that the above copyright
+  notice appear in all copies and that both that copyright
+  notice and this permission notice appear in supporting
+  documentation, and that the name of M.I.T. not be used in
+  advertising or publicity pertaining to distribution of the
+  software without specific, written prior permission.
+  M.I.T. makes no representations about the suitability of
+  this software for any purpose.  It is provided "as is"
+  without express or implied warranty.
+
+This Debian package was created as part of the Debian-Athena Project
+<http://web.mit.edu/debathena/www/> of the MIT Student Information
+Processing Board, and is released to the public domain.
--- debathena-athinfo-9.4.27.orig/debian/control
+++ debathena-athinfo-9.4.27/debian/control
@@ -0,0 +1,16 @@
+Source: debathena-athinfo
+Section: debathena/net
+Priority: extra
+Maintainer: Debian-Athena Project <debathena@mit.edu>
+Build-Depends: cdbs (>= 0.4.23-1.1), autotools-dev, debhelper (>= 4.2.0), autoconf
+Standards-Version: 3.7.2
+
+Package: debathena-athinfo
+Architecture: any
+Provides: athinfo
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
+Description: An Athena utility to retrieve information about a workstation
+ The athinfo tool queries a remote workstation using the athinfo daemon 
+ for information about the workstation, such as its hardware type and 
+ configuration, its current software installation state, the number of 
+ users logged on, and various other informational state queries.
--- debathena-athinfo-9.4.27.orig/debian/rules
+++ debathena-athinfo-9.4.27/debian/rules
@@ -0,0 +1,9 @@
+#!/usr/bin/make -f
+
+DEB_AUTO_UPDATE_DEBIAN_CONTROL = 1
+DEB_AUTO_UPDATE_AUTOCONF = 1
+include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/class/autotools.mk
+
+clean::
+	rm -f configure
--- debathena-athinfo-9.4.27.orig/debian/changelog
+++ debathena-athinfo-9.4.27/debian/changelog
@@ -0,0 +1,23 @@
+debathena-athinfo (9.4.27-0debathena4) unstable; urgency=low
+
+  * Section: debathena/net.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Jul 2007 06:33:32 -0400
+
+debathena-athinfo (9.4.27-0debathena3) unstable; urgency=low
+
+  * Depends: netbase.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 26 Jun 2007 16:32:39 -0400
+
+debathena-athinfo (9.4.27-0debathena2) unstable; urgency=low
+
+  * Add athinfo to /etc/services.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 26 Jun 2007 16:32:38 -0400
+
+debathena-athinfo (9.4.27-0debathena1) unstable; urgency=low
+
+  * Initial release.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Tue, 30 Jan 2007 00:33:21 -0500
--- debathena-athinfo-9.4.27.orig/debian/debathena-athinfo.postinst
+++ debathena-athinfo-9.4.27/debian/debathena-athinfo.postinst
@@ -0,0 +1,46 @@
+#!/bin/sh
+# postinst script for debathena-athinfo
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+	if ! grep -q '^athinfo[[:space:]]' /etc/services; then
+	    cat <<EOF >>/etc/services
+athinfo		49155/tcp			# workstation info server
+EOF
+	fi
+	;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+	;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
